SQLite3Result::columnName
SQLite3Result::fetchArray
SQLite3Result
PHP Manual

# SQLite3Result::columnType

(PHP 5 >= 5.3.0)

SQLite3Result::columnType — Returns the type of the nth column

### Description

public int SQLite3Result::columnType ( int `$column_number` )

Returns the type of the column identified by `column_number` .

### Parameters

`column_number`

  The numeric zero-based index of the column.

### Return Values

Returns the data type index of the column identified by `column_number` (one of `SQLITE3_INTEGER`, `SQLITE3_FLOAT`, `SQLITE3_TEXT`, `SQLITE3_BLOB`, or `SQLITE3_NULL`).

SQLite3Result::columnName
SQLite3Result::fetchArray
SQLite3Result
PHP Manual